
#include <qwidget.h>
#include <qapplication.h>
#include <qmessagebox.h>
#include "mainpanel.h"
#include "../../src/glfunc.h"


int main( int argc, char ** argv ) {

    QApplication a( argc, argv );

	CMainPanel * mw = new CMainPanel();
	mw->show();
	
	if (!isMonitoringActive()){
		QString str = "PowerSoft Plus monitoring service is not started!";
		QMessageBox::critical(0, "PowerSoft Plus", str);
	} else {
		mw->dataRefresh();
	}

	a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
    
	return a.exec();
}
